"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveType = exports.bind = void 0;
const bindings = new Map();
function bind(type, implementation) {
    bindings.set(type, implementation);
}
exports.bind = bind;
function resolveType(type) {
    const b = bindings.get(type);
    if (!b) {
        throw new Error(`Dependency injector: Implementation for type [${type}] is not registered`);
    }
    return b;
}
exports.resolveType = resolveType;
//# sourceMappingURL=container.js.map