"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Inject = void 0;
const registry_1 = require("../registry");
/**
 * Injects instance into the constructor argument.
 * @param c Type of required instance.
 */
function Inject(c) {
    return (target, key, index) => {
        if (c === undefined) {
            throw new Error(`Dependency injector: Type is undefined or circular dependency detected in type [${target.name}]`);
        }
        registry_1.addDependency(target, c, index);
    };
}
exports.Inject = Inject;
//# sourceMappingURL=parameter-inject.js.map