"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PropInject = void 0;
const registry_1 = require("../registry");
/**
 * Injects instance into the property.
 * @param c Type of required instance.
 */
function PropInject(c) {
    return (target, key) => {
        if (c === undefined) {
            throw new Error(`Dependency injector: Type is undefined or circular dependency detected in type [${target.name}]`);
        }
        Object.defineProperty(target, key, {
            get: function () { return registry_1.get(c); },
            enumerable: true,
            configurable: false
        });
    };
}
exports.PropInject = PropInject;
//# sourceMappingURL=property-inject.js.map